"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RepositoryContext = void 0;
const child_process_1 = require("child_process");
class RepositoryContext {
    static get() {
        if (process.env.GITHUB_REPOSITORY) {
            const [owner, repo] = process.env.GITHUB_REPOSITORY.split('/');
            return { owner, repo };
        }
        try {
            const gitRemote = (0, child_process_1.execSync)('git remote get-url origin').toString().trim();
            const match = gitRemote.match(/github\.com[/:](.+?)\/(.+?)(?:\.git)?$/);
            if (match && match[1] && match[2]) {
                return { owner: match[1], repo: match[2] };
            }
        }
        catch (error) {
            console.error('Error detecting git remote:', error);
        }
        throw new Error('Could not detect repository context');
    }
}
exports.RepositoryContext = RepositoryContext;
