"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContributorProcessor = void 0;
class ContributorProcessor {
    static process(contributors, options = {}) {
        const { maxContributors = 20, excludeBots = true, excludeOrgs = true } = options;
        return contributors
            .filter(c => !excludeBots || (c.type === 'User' && !c.login.includes('bot')))
            .filter(c => !excludeOrgs || !c.login.includes('[bot]'))
            .sort((a, b) => b.contributions - a.contributions)
            .slice(0, maxContributors);
    }
}
exports.ContributorProcessor = ContributorProcessor;
