"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileUtils = void 0;
const fs_1 = require("fs");
const path_1 = __importDefault(require("path"));
class FileUtils {
    static async readFile(relativePath) {
        const absolutePath = path_1.default.join(process.cwd(), relativePath);
        return fs_1.promises.readFile(absolutePath, 'utf8');
    }
    static async writeFile(relativePath, content) {
        const absolutePath = path_1.default.join(process.cwd(), relativePath);
        await fs_1.promises.writeFile(absolutePath, content);
    }
    static async exists(relativePath) {
        try {
            await fs_1.promises.access(path_1.default.join(process.cwd(), relativePath));
            return true;
        }
        catch {
            return false;
        }
    }
}
exports.FileUtils = FileUtils;
