"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NetworkUtils = void 0;
const https_1 = __importDefault(require("https"));
class NetworkUtils {
    static async httpsGet(url) {
        return new Promise((resolve, reject) => {
            https_1.default
                .get(url, res => {
                let data = '';
                res.on('data', chunk => (data += chunk));
                res.on('end', () => {
                    if (res.statusCode === 200) {
                        resolve(data);
                    }
                    else {
                        reject(new Error(`Request failed with status code ${res.statusCode}`));
                    }
                });
            })
                .on('error', reject);
        });
    }
    static async fetchJson(url) {
        const data = await this.httpsGet(url);
        return JSON.parse(data);
    }
}
exports.NetworkUtils = NetworkUtils;
